Author Topic: Many problems after change PHP version  (Read 130 times)

0 Members and 1 Guest are viewing this topic.

Offline
*
Many problems after change PHP version
« on: October 02, 2018, 07:26:18 PM »
Hi all

I install centos web panel on CentOS Linux release 7.5.1804 (Core). 4GB ram - 8core
Default PHP version is 5.6.37. All thing ok with this version.

But if you install a new version (in "PHP Selector 2 (NEW)" section) some problem occurs like:

-- WordPress permalinks not working. (while mod_rewrite is enabled and htaccess exist and vHost checked for "AllowOverride All")
-- when switching between webServers  if  select "Apache & Varnish Cache & Nginx Reverse Proxy" Varnish will NOT installed!
-- decrease VPS performance

I reinstalled many times for check above problem and when installing new PHP version I wait until seeing the successful notification then go to switch PHP version.

This panel is great and very optimized for speed and easy to use. but for some framework like Laravel, I need php7.1.

I hope these problems will be solved.

Offline
*
Re: Many problems after change PHP version
« Reply #1 on: October 03, 2018, 09:20:03 AM »
I confirm that the WordPress permalinks problem caused by "Mod Security".

Offline
*
Re: Many problems after change PHP version
« Reply #2 on: October 14, 2018, 08:14:26 PM »
Here my result in https://loader.io with default PHP version: 5.6.37

50 - 250 clients over 1 min



But after change PHP version to 7.* I have 30-40% timeouts (timeout = no response in 10 seconds)